%define __spec_install_post /usr/lib/rpm/brp-compress || :

Summary: The Neko Programming Language
Name: neko
Version: 1.5.2
Release: 1
License: LGPL
Group: Programming/Language
Source: http://www.nekovm.org/_media/%{name}-%{version}.tar.gz
URL: http://www.nekovm.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: zlib, pcre, mysql >= 4
BuildRequires: gc-devel, ocaml >= 3.08, zlib-devel, pcre-devel, mysql-devel
Packager: Daichi Shinozaki <dseg@shield.jp>

%description
Neko is a high-level dynamically typed programming language which can
also be used as an embedded scripting language. 
It has been designed to provide a common runtime for several different
languages. Neko is not only very easy to learn and use, but also has
the flexibility of being able to extend the language with C libraries.
You can even write generators from your own language to Neko and then
use the Neko Runtime to compile, run, and access existing libraries.

If you need to add a scripting language to your application, Neko
provides one of the best tradeoffs available between simplicity,
extensibility and speed.

Neko allows the language designer to focus on design whilst reusing a
fast and well constructed runtime, as well as existing libraries for
accessing filesystem, network, databases, xml... 

%prep
%setup -q 

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
cp bin/{neko{,c,tools},test.n} $RPM_BUILD_ROOT%{_bindir}
cp bin/{libneko.so,*.ndll} $RPM_BUILD_ROOT%{_libdir}
cp vm/neko{,_mod,_vm}.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES LICENSE
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*

%changelog
* Thu Nov 23 2006 Daichi Shinozaki <dseg@shield.jp>
- Initial release.
